/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: RulesCreatorActivator.java 6218 2010-03-29 08:25:18Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.monitoring.tests.rules.osgi;

import org.osgi.framework.BundleContext;
import org.ow2.jasmine.rules.osgi.impl.RulesActivator;

/**
 * Activator that will enable some rules to Drools.
 * Rules are loaded automatically as they're present in the bundle
 * @author Florent Benoit
 */
public class RulesCreatorActivator extends RulesActivator {

    @Override
    public void doStart(final BundleContext bundleContext) throws Exception {
        System.out.println("Starting " + RulesCreatorActivator.class + "");
    }

    @Override
    public void doStop(final BundleContext bundleContext) throws Exception {
        System.out.println("Stopping " + RulesCreatorActivator.class + "");
    }

}

